[kune-commits] r1789 - trunk/debian

Vicente J. Ruiz Jurado vjrj_ at ourproject.org
Mon Mar 26 01:00:44 CEST 2012


Author: vjrj_
Date: 2012-03-26 01:00:44 +0200 (Mon, 26 Mar 2012)
New Revision: 1789

Added:
   trunk/debian/kune.cron.d
   trunk/debian/kune.default
   trunk/debian/kune.init
   trunk/debian/kune.postinst
   trunk/debian/kune.postinst.debhelper
   trunk/debian/kune.postrm
   trunk/debian/kune.postrm.debhelper
   trunk/debian/kune.preinst
   trunk/debian/kune.prerm
   trunk/debian/kune.prerm.debhelper
Removed:
   trunk/debian/init.d.ex
   trunk/debian/kune.cron.d.ex
   trunk/debian/kune.default.ex
   trunk/debian/postinst.ex
   trunk/debian/postrm.ex
   trunk/debian/preinst.ex
   trunk/debian/prerm.ex
Modified:
   trunk/debian/control
Log:
debian package (work in progress)

Modified: trunk/debian/control
===================================================================
--- trunk/debian/control	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/control	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,24 +1,20 @@
 Source: kune
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 8.0.0), cdbs, sun-java6-jre | openjdk-6-jdk, maven2, libmaven-assembly-plugin-java
+Build-Depends: debhelper (>= 8.0.0), cdbs, sun-java6-jre | openjdk-6-jdk, maven2, libmaven-assembly-plugin-java, rsync
 Homepage: http://kune.ourproject.org
 Maintainer: Vicente J. Ruiz Jurado <vjrj at ourproject.org>
-Copyright: COPYRIGHT
-Version: 0.1.0+b1
 Standards-Version: 3.9.2
 #Vcs-Svn: svn://scm.ourproject.org/svnroot/kune/trunk/
 #Vcs-Browser: http://ourproject.org/scm/?group_id=407
 
 Package: kune
 Pre-Depends: 
-Depends: libjmagick6-jni, sun-java6-jre | openjdk-6-jdk, mysql-server (>= 5.1)
+Depends: libjmagick6-jni, sun-java6-jre | openjdk-6-jdk, mysql-server (>= 5.1) , adduser
 Recommends: openfire (>= 3.7.1)
 Suggests:
 Architecture: all
 #Extra-Files: ../BUGS, ../COPYRIGHT, ../CREDITS, ../INSTALL, ../README, ../TROUBLESHOOT, ../TODO
-# Files: <pair of space-separated paths; First is file to include, second is destination>
-#  <more pairs, if there's more than one file to include. Notice the starting space>
 Description: distributed social network of collaborative tools for groups
  Kune (which means together in esperanto) is a web tool, for creating 
  environments of constant inter-communication, collective intelligence, 

Deleted: trunk/debian/init.d.ex
===================================================================
--- trunk/debian/init.d.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/init.d.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,149 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:          kune
-# Required-Start:    $local_fs $remote_fs $network $syslog $named openfire
-# Required-Stop:     $local_fs $remote_fs $network $syslog $named openfire
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Start/stop kune web server
-### END INIT INFO
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC=kune server
-NAME=kune             
-DAEMON=/usr/share/kune/bin/server.sh
-DAEMON_ARGS="-j /usr/share/kune/lib/kune-complete.jar -a"             # Arguments to run the daemon with
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x $DAEMON ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	start-stop-daemon --start --quiet --pidfile $PIDFILE -d /usr/share/kune/ --exec $DAEMON --test > /dev/null \
-		|| return 1
-	start-stop-daemon --start --quiet --pidfile $PIDFILE -d /usr/share/kune/ --exec $DAEMON -- \
-		$DAEMON_ARGS \
-		|| return 2
-	# Add code here, if necessary, that waits for the process to be ready
-	# to handle requests from services started subsequently which depend
-	# on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
-	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-	RETVAL="$?"
-	[ "$RETVAL" = 2 ] && return 2
-	# Wait for children to finish too if this is a daemon that forks
-	# and if the daemon is only ever run from this initscript.
-	# If the above conditions are not satisfied then add some other code
-	# that waits for the process to drop all resources that could be
-	# needed by services started subsequently.  A last resort is to
-	# sleep for some time.
-	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-	[ "$?" = 2 ] && return 2
-	# Many daemons don't delete their pidfiles when they exit.
-	rm -f $PIDFILE
-	return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-	#
-	# If the daemon can reload its configuration without
-	# restarting (for example, when it is sent a SIGHUP),
-	# then implement that here.
-	#
-	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-	return 0
-}
-
-case "$1" in
-  start)
-    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
-    do_start
-    case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-  ;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  status)
-       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
-       ;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:

Copied: trunk/debian/kune.cron.d (from rev 1788, trunk/debian/kune.cron.d.ex)
===================================================================
--- trunk/debian/kune.cron.d	                        (rev 0)
+++ trunk/debian/kune.cron.d	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,4 @@
+#
+# Regular cron jobs for the kune package
+#
+#0 4	* * *	root	[ -x /usr/bin/kune_maintenance ] && /usr/bin/kune_maintenance

Deleted: trunk/debian/kune.cron.d.ex
===================================================================
--- trunk/debian/kune.cron.d.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/kune.cron.d.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,4 +0,0 @@
-#
-# Regular cron jobs for the kune package
-#
-#0 4	* * *	root	[ -x /usr/bin/kune_maintenance ] && /usr/bin/kune_maintenance

Copied: trunk/debian/kune.default (from rev 1788, trunk/debian/kune.default.ex)
===================================================================
--- trunk/debian/kune.default	                        (rev 0)
+++ trunk/debian/kune.default	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,13 @@
+# Defaults for kune initscript
+# sourced by /etc/init.d/kune
+# installed at /etc/default/kune by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+# Start kune on boot?
+START=no
+
+# Additional options that are passed to the Daemon.
+DAEMON_OPTS=""

Deleted: trunk/debian/kune.default.ex
===================================================================
--- trunk/debian/kune.default.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/kune.default.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,10 +0,0 @@
-# Defaults for kune initscript
-# sourced by /etc/init.d/kune
-# installed at /etc/default/kune by the maintainer scripts
-
-#
-# This is a POSIX shell fragment
-#
-
-# Additional options that are passed to the Daemon.
-DAEMON_OPTS=""

Copied: trunk/debian/kune.init (from rev 1788, trunk/debian/init.d.ex)
===================================================================
--- trunk/debian/kune.init	                        (rev 0)
+++ trunk/debian/kune.init	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,160 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          kune
+# Required-Start:    $local_fs $remote_fs $network $syslog $named openfire
+# Required-Stop:     $local_fs $remote_fs $network $syslog $named openfire
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start/stop kune web server
+### END INIT INFO
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="kune server"
+NAME=kune             
+DAEMON=/usr/share/kune/bin/server.sh
+DAEMON_ARGS="-j /usr/share/kune/lib/kune-complete.jar -a"             # Arguments to run the daemon with
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+# check if param is true/yes/0
+is_true() {
+    if [ "x$1" = "xtrue" -o "x$1" = "xyes" -o "x$1" = "x0" ] ; then
+        return 0
+    else
+        return 1
+    fi
+}
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+        if is_true "$START" ; then       
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	start-stop-daemon --start --quiet --pidfile $PIDFILE -d /usr/share/kune/ --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE -d /usr/share/kune/ --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+        fi
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+	return 0
+}
+
+case "$1" in
+  start)
+    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+    do_start
+    case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+  ;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:

Copied: trunk/debian/kune.postinst (from rev 1788, trunk/debian/postinst.ex)
===================================================================
--- trunk/debian/kune.postinst	                        (rev 0)
+++ trunk/debian/kune.postinst	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postinst script for kune
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: trunk/debian/kune.postinst.debhelper
===================================================================
--- trunk/debian/kune.postinst.debhelper	                        (rev 0)
+++ trunk/debian/kune.postinst.debhelper	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,6 @@
+# Automatically added by dh_installinit
+if [ -x "/etc/init.d/kune" ]; then
+	update-rc.d kune defaults >/dev/null
+	invoke-rc.d kune start || exit $?
+fi
+# End automatically added section

Copied: trunk/debian/kune.postrm (from rev 1788, trunk/debian/postrm.ex)
===================================================================
--- trunk/debian/kune.postrm	                        (rev 0)
+++ trunk/debian/kune.postrm	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postrm script for kune
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	rm -rf /etc/kune
+        
+        #TODO (the rest) and deluser/group
+    ;; 
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: trunk/debian/kune.postrm.debhelper
===================================================================
--- trunk/debian/kune.postrm.debhelper	                        (rev 0)
+++ trunk/debian/kune.postrm.debhelper	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,5 @@
+# Automatically added by dh_installinit
+if [ "$1" = "purge" ] ; then
+	update-rc.d kune remove >/dev/null
+fi
+# End automatically added section

Copied: trunk/debian/kune.preinst (from rev 1788, trunk/debian/preinst.ex)
===================================================================
--- trunk/debian/kune.preinst	                        (rev 0)
+++ trunk/debian/kune.preinst	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,76 @@
+#!/bin/sh
+# preinst script for kune
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+
+    # add the kune user
+    if ! getent passwd kune >/dev/null; then
+      adduser --disabled-password  --quiet --system \
+      --home /usr/share/kune --gecos "Kune server" --group kune
+    fi
+    if ! getent group kune >/dev/null; then
+      addgroup --system kune
+    fi
+
+    mkdir -p /etc/kune
+    mkdir -p /usr/share/kune/bin
+    mkdir -p /usr/share/kune/ws
+    mkdir -p /usr/share/kune/lib
+    mkdir -p /usr/share/kune/webapp
+    mkdir -p /usr/share/kune/custom
+    mkdir -p /var/lib/kune/uploads
+    mkdir -p /var/lib/kune/lucene/kune_prod/indexes
+
+    chown kune:kune /etc/kune
+    chown kune:kune /usr/share/kune
+    chown kune:kune /usr/share/kune/bin
+    chown kune:kune /usr/share/kune/ws
+    chown kune:kune /usr/share/kune/lib
+    chown kune:kune /usr/share/kune/webapp
+    chown kune:kune /usr/share/kune/custom
+    chown kune:kune /var/lib/kune/uploads
+    chown kune:kune /var/lib/kune/lucene/kune_prod/indexes
+
+    chmod 0755 /etc/kune
+    chown 0755 /usr/share/kune
+    chown 0755 /usr/share/kune/ws
+    chown 0755 /usr/share/kune/bin
+    chown 0755 /usr/share/kune/lib
+    chown 0755 /usr/share/kune/webapp
+    chown 0755 /usr/share/kune/custom
+    chmod 0755 /var/lib/kune/uploads
+    chmod 0755 /var/lib/kune/lucene/kune_prod/indexes
+
+    # TODO do the same (remove the user/dirs) in rm.ex
+
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Copied: trunk/debian/kune.prerm (from rev 1788, trunk/debian/prerm.ex)
===================================================================
--- trunk/debian/kune.prerm	                        (rev 0)
+++ trunk/debian/kune.prerm	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,38 @@
+#!/bin/sh
+# prerm script for kune
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: trunk/debian/kune.prerm.debhelper
===================================================================
--- trunk/debian/kune.prerm.debhelper	                        (rev 0)
+++ trunk/debian/kune.prerm.debhelper	2012-03-25 23:00:44 UTC (rev 1789)
@@ -0,0 +1,5 @@
+# Automatically added by dh_installinit
+if [ -x "/etc/init.d/kune" ]; then
+	invoke-rc.d kune stop || exit $?
+fi
+# End automatically added section

Deleted: trunk/debian/postinst.ex
===================================================================
--- trunk/debian/postinst.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/postinst.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,39 +0,0 @@
-#!/bin/sh
-# postinst script for kune
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    configure)
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Deleted: trunk/debian/postrm.ex
===================================================================
--- trunk/debian/postrm.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/postrm.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,43 +0,0 @@
-#!/bin/sh
-# postrm script for kune
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <overwriter>
-#          <overwriter-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    purge)
-	echo rm -rf $(ETCDIC)
-        
-        #TODO (the rest) and deluser/group
-    ;; 
-
-    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Deleted: trunk/debian/preinst.ex
===================================================================
--- trunk/debian/preinst.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/preinst.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,77 +0,0 @@
-#!/bin/sh
-# preinst script for kune
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <new-preinst> `install'
-#        * <new-preinst> `install' <old-version>
-#        * <new-preinst> `upgrade' <old-version>
-#        * <old-preinst> `abort-upgrade' <new-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    install|upgrade)
-
-    # add the kune user
-    if ! getent passwd kune >/dev/null; then
-      adduser --disabled-password  --quiet --system \
-      --home $(KUNE) --gecos "Kune server" --group kune
-    fi
-    if ! getent group kune >/dev/null; then
-      addgroup --system kune
-    fi
-
-
-    mkdir -p $(CURDIR)/etc/kune
-    mkdir -p $(CURDIR)/usr/share/kune/bin
-    mkdir -p $(CURDIR)/usr/share/kune/ws
-    mkdir -p $(CURDIR)/usr/share/kune/lib
-    mkdir -p $(CURDIR)/usr/share/kune/webapp
-    mkdir -p $(CURDIR)/usr/share/kune/custom
-    mkdir -p $(CURDIR)/var/lib/kune/uploads
-    mkdir -p $(CURDIR)/var/lib/kune/lucene/kune_prod/indexes
-
-    chown kune:kune $(CURDIR)/etc/kune
-    chown kune:kune $(CURDIR)/usr/share/kune
-    chown kune:kune $(CURDIR)/usr/share/kune/bin
-    chown kune:kune $(CURDIR)/usr/share/kune/ws
-    chown kune:kune $(CURDIR)/usr/share/kune/lib
-    chown kune:kune $(CURDIR)/usr/share/kune/webapp
-    chown kune:kune $(CURDIR)/usr/share/kune/custom
-    chown kune:kune $(CURDIR)/var/lib/kune/uploads
-    chown kune:kune $(CURDIR)/var/lib/kune/lucene/kune_prod/indexes
-
-    chmod 0755 $(CURDIR)/etc/kune
-    chown 0755 $(CURDIR)/usr/share/kune
-    chown 0755 $(CURDIR)/usr/share/kune/ws
-    chown 0755 $(CURDIR)/usr/share/kune/bin
-    chown 0755 $(CURDIR)/usr/share/kune/lib
-    chown 0755 $(CURDIR)/usr/share/kune/webapp
-    chown 0755 $(CURDIR)/usr/share/kune/custom
-    chmod 0755 $(CURDIR)/var/lib/kune/uploads
-    chmod 0755 $(CURDIR)/var/lib/kune/lucene/kune_prod/indexes
-
-    # TODO do the same (remove the user/dirs) in rm.ex
-
-    ;;
-
-    abort-upgrade)
-    ;;
-
-    *)
-        echo "preinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Deleted: trunk/debian/prerm.ex
===================================================================
--- trunk/debian/prerm.ex	2012-03-25 21:42:33 UTC (rev 1788)
+++ trunk/debian/prerm.ex	2012-03-25 23:00:44 UTC (rev 1789)
@@ -1,38 +0,0 @@
-#!/bin/sh
-# prerm script for kune
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <prerm> `remove'
-#        * <old-prerm> `upgrade' <new-version>
-#        * <new-prerm> `failed-upgrade' <old-version>
-#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
-#        * <deconfigured's-prerm> `deconfigure' `in-favour'
-#          <package-being-installed> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    remove|upgrade|deconfigure)
-    ;;
-
-    failed-upgrade)
-    ;;
-
-    *)
-        echo "prerm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0




More information about the kune-commits mailing list